﻿using System;
using System.ComponentModel;
using System.Runtime.CompilerServices;
using OpcLabs.BaseLib.LiveMapping;
using OpcLabs.EasyOpc.UA;
using OpcLabs.EasyOpc.UA.LiveMapping;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OPCTest5
{
    [UANamespace("KEPServerEX")]
    [UAType]
    public class OPCDevice : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged([CallerMemberName]string property = null)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(property));
        }

        [MetaMember("NodeDescriptor")]
        public UANodeDescriptor NodeDescriptor { get; set; }

        [UANode(BrowsePath ="/Tag1"), UAData(Kind = UADataMappingKind.Exception)]
        public Exception Tag1
        {
            get => _tag1;
            set { _tag1 = value; OnPropertyChanged(); }
        }
        private Exception _tag1;

        //[UANode(BrowsePath = "/Tag2"), UAData]
        //public UInt16 Tag2
        //{
        //    get => _tag2;
        //    set { _tag2 = value; OnPropertyChanged(); }
        //}
        //private UInt16 _tag2;
    }
}
